#!/usr/local/bin/python
# -*- coding: iso-8859-1 -*-

import BaseHTTPServer
import serverEvents
import socket

# CGIs en directorio '/cgi-bin'

class Servidor:
	"""
	Servidor público de miARC para la gestión de peticiones de certificados.
	"""

	def __init__(self, port = 8000, server_class = BaseHTTPServer.HTTPServer, \
handler_class = serverEvents.HTTPRequestHandler):
		try:
			server_address = ('', port)
			httpd = server_class(server_address, handler_class)
			print """
Subsistema de Gestión de Peticiones de Certificados de miARC FUNCIONANDO
Servidor PÚBLICO listo y escuchando por el puerto""" + str(port) + """...
Los clientes disponen de acceso web a la aplicación.
Cierre esta ventana en caso de querer detener la aplicación.

Registro de la actividad en el servidor:
			"""
			httpd.serve_forever()
		except KeyboardInterrupt:
			print "\nServidor PÚBLICO parado."
		except socket.error:
			print "No ha sido posible arrancar el servidor.\
\nEl puerto " + str(port) + " ya está siendo usado."
		except:
			print "\nNo ha sido posible arrancar el servidor."
